//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System.Web.UI.WebControls;
using CommunityServer.Components;
using CommunityServer.Controls;

namespace CommunityServer.Galleries.Controls
{
	/// <summary>
	/// Summary description for AboutView.
	/// </summary>
	public class About : GalleryThemedControl
	{

	    protected override void AttachChildControls()
	    {
            if(CurrentGallery.EnableAbout)
            {

            	IText AboutTitle = FindText("AboutTitle");
                if(AboutTitle != null) 
                    AboutTitle.Text = CurrentGallery.AboutTitle;

                IText AboutDesc = FindText("AboutDesc");
                if(AboutDesc != null)
                    AboutDesc.Text = CurrentGallery.AboutDescription;
            }
            else
            {
            	Globals.Return404(Context);
            }
	    }

	}
}
